Bug 635388 - hp-setup times out too early when downloading plugin
Summary: hp-setup times out too early when downloading plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-19 10:55 UTC by Lucas Stach
Modified: 2011-01-12 05:25 UTC (History)
2 users (show)

Fixed In Version: hplip-3.10.9-9.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-14 21:36:01 UTC


Attachments (Terms of Use)

Description Lucas Stach 2010-09-19 10:55:21 UTC
Description of problem:

When trying to install a printer via hp-setup the setup fails when checking for a network connection because the timeout is too low for high latency networks.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Connect computer to high latency network
2. Try to install HP printer via hp-setup
  
Actual results:

Says: "No network connection detected"

Expected results:

Check pass

Additional info:

The timeouts are defined in file /usr/share/hplip/install/core_install.py

There you have to set the timeouts to something like 30s for curl, wget, and ping in function check_network_connection() and everything works as expected.

Comment 2 Fedora Update System 2010-09-29 16:29:04 UTC
hplip-3.10.6-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hplip-3.10.6-5.fc14

Comment 3 Fedora Update System 2010-10-04 16:03:31 UTC
hplip-3.10.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/hplip-3.10.9-1.fc13

Comment 4 Fedora Update System 2010-10-05 09:30:21 UTC
hplip-3.10.9-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/hplip-3.10.9-1.fc13

Comment 5 Fedora Update System 2010-11-14 21:35:25 UTC
hplip-3.10.9-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-01-12 05:24:20 UTC
hplip-3.10.9-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.